<?php

//Coordonnées du serveur
require('myChatServer.php');

set_time_limit(0);

function sendDataToServer($data)
{
  /* Cree une socket TCP/IP. */
  $socket = @socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
  if(!$socket)
  {
    echo myChatServer::format_message('<p>socket_create() a échoué : raison :  ' . socket_strerror ($socket).'</p>');
    exit();
  }

  /* On tente de se connecter au server */
  if(!@socket_connect($socket, CHAT_DOMAIN, CHAT_PORT))
  {
    echo myChatServer::format_message('<p>socket_connect() a échoué : raison : ('.socket_last_error($socket).') ' . socket_strerror(socket_last_error($socket)).'</p>');
    exit();
  }
  else
  {
    $data = serialize($data)."\n";

    if(!@socket_write($socket, $data, strlen($data)))
    {
      echo myChatServer::format_message('<p>socket_write() a échoué</p>');
      exit();
    }
  }

  socket_close($socket);
}

//  Virer le controle du pseudo quand on utilisera les sessions
/*
if((!isset($_GET['pseudo']) || !isset($_GET['act']) || !$_GET['act']))
{
  exit();
}
*/

if($_GET['act'] == 'send')
{
  if(isset($_POST['msg']) && $_POST['msg'] && $_GET['pseudo'])
  {
    $data = array(
      'action'=>'userSendMessage',
      'username'=>$_GET['pseudo'],
      'userip'=>$_SERVER['REMOTE_ADDR'],
      'userid'=>1,
      'room'=>'room1',
      'lang'=>'fr',
      'msg'=>$_POST['msg']
    );

    sendDataToServer($data);
  }

  exit();
}

if($_GET['act'] == 'test')
{
  sleep(2);

  for($i=0; $i<1000; $i++)
  {
    $data = array(
      'action'=>'userSendMessage',
      'username'=>'bot_test',
      'userip'=>$_SERVER['REMOTE_ADDR'],
      'userid'=>1,
      'room'=>'room1',
      'lang'=>'fr',
      'msg'=>'yoopla boom '.$i
    );

    usleep(20000);

    sendDataToServer($data);
  }
}
?>
